Subject: [PATCH] tty: serial, return values platform_get_irq, part II.

From: [email-masked] (Jiri Slaby)
Date: Fri, 29 Apr 2016 11:24:44 +0200

On 04/29/2016, 11:22 AM, Jiri Slaby wrote:
> When commit "TTY: serial, handle platform_get_irq retval properly" was
> merged, it was pointed out, that platform_get_irq is more peculiar
> than it seems.
> 
> platform_get_irq can actually return zero for some platforms. So
> reverts parts of the aforementioned commits which did the worng thing
> on those platforms.

Given I double checked the code, I should do so for the commit message
too. Please scratch this one due to the commit message.

thanks,
-- 
js
suse labs